皇上,还记得我吗?我就是1999年那个Linux伊甸园啊-----24小时滚动更新开源资讯,全年无休!

GitLab 11.5 将支持 Elasticsearch 6,放弃支持 5.5 及更低版本

近日,GitLab 发表的一篇博客表示,在 Gitlab 11.5(将于 2018 年 11 月 22 日发布)中,GitLab 集成的 Elasticsearch 将支持 Elasticsearch 6,并且将不再支持 5.5 或更低版本。请在升级到 GitLab 11.5 之前立即制定将 Elasticsearch 升级到 5.6 或 6.x 版的计划。升级 GitLab 后,还需要执行 reindex,因为支持这些 Elasticsearch 版本所需的更改与以前版本的索引不兼容。

总的来说,从 11.5 开始,GitLab 只支持:

  • Elasticsearch 5.6
  • Elasticsearch 6.x

GitLab 使用 Elasticsearch 进行 高级全局搜索  和  高级语法搜索

至于为何做出这个决定,主要是使用 Elasticsearch 6 与当前的索引存在不兼容的变化。 详情请查看发布公告

转自 https://www.oschina.net/news/101919/gitlab-elasticsearch-version-requirements

分享到:更多 ()